VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IVST3EditorDelegate Class Referenceabstract
Version 4.0

delegate interface for a VST3Editor. More...

Inheritance diagram for IVST3EditorDelegate:

## Public Member Functions
virtual | ~IVST3EditorDelegate ()=default
virtual CView * | createCustomView (UTF8StringPtr name, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)=0
| create a custom view
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor)=0
| verify a view after it was created
virtual bool | findParameter (const CPoint &pos, Steinberg::Vst::ParamID &paramID, VST3Editor *editor)=0
| find a parameter
virtual bool | isPrivateParameter (const Steinberg::Vst::ParamID paramID)=0
| check if parameter ID is private and should not be exposed to the host
virtual void | didOpen (VST3Editor *editor)=0
| called after the editor was opened
virtual void | willClose (VST3Editor *editor)=0
| called before the editor will close
virtual COptionMenu * | createContextMenu (const CPoint &pos, VST3Editor *editor)=0
| create the context menu for the editor, will be added to the host menu
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor)=0
| called when a sub controller should be created.
virtual void | onZoomChanged (VST3Editor *editor, double newZoom)=0
| called when the user zoom factor of the editor was changed

## Detailed Description

delegate interface for a VST3Editor.

You either extend Steinberg::Vst::EditController with this interface and pass the editor controller to the constructor of the VST3Editor class, or you create a delegate without extending Steinberg::Vst::EditController and explicitly set the delegate of the VST3Editor.

## Constructor & Destructor Documentation

virtual ~IVST3EditorDelegate | ( |  | ) |
| virtual default

## Member Function Documentation

virtual COptionMenu* createContextMenu | ( | const CPoint & | pos,
|  | VST3Editor * | editor
| ) |  |
| pure virtual

create the context menu for the editor, will be added to the host menu

Implemented in VST3EditorDelegate.

virtual CView* createCustomView | ( | UTF8StringPtr | name,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| pure virtual

create a custom view

Implemented in VST3EditorDelegate.

virtual IController* createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| pure virtual

called when a sub controller should be created.

The controller is now owned by the editor, which will call forget() if it is a CBaseObject, release() if it is a Steinberg::FObject or it will be simply deleted if the frame gets closed.

Implemented in VST3EditorDelegate.

virtual void didOpen | ( | VST3Editor * | editor | ) |
| pure virtual

called after the editor was opened

Implemented in VST3EditorDelegate.

virtual bool findParameter | ( | const CPoint & | pos,
|  | Steinberg::Vst::ParamID & | paramID,
|  | VST3Editor * | editor
| ) |  |
| pure virtual

find a parameter

Implemented in VST3EditorDelegate.

virtual bool isPrivateParameter | ( | const Steinberg::Vst::ParamID | paramID | ) |
| pure virtual

check if parameter ID is private and should not be exposed to the host

Implemented in VST3EditorDelegate.

virtual void onZoomChanged | ( | VST3Editor * | editor,
|  | double | newZoom
| ) |  |
| pure virtual

called when the user zoom factor of the editor was changed

Implemented in VST3EditorDelegate.

virtual CView* verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| pure virtual

verify a view after it was created

Implemented in VST3EditorDelegate.

virtual void willClose | ( | VST3Editor * | editor | ) |
| pure virtual

called before the editor will close

Implemented in VST3EditorDelegate.

The documentation for this class was generated from the following file:

- vst3editor.h